package com.sinosig.core.module.domain;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.math.BigInteger;
import java.util.HashMap;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import java.io.Serializable;

/**
 * 实体[交强险特别约定]
 */
public class JQXTBYD implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 特约名称 属性
     */
    private String Tymc;

    @JsonIgnore
    private boolean TymcDirtyFlag;

    /**
     * 建立人 属性
     */
    private String CreateMan;

    @JsonIgnore
    private boolean CreateManDirtyFlag;

    /**
     * 交强险特别约定名称 属性
     */
    private String JQXTBYDName;

    @JsonIgnore
    private boolean JQXTBYDNameDirtyFlag;

    /**
     * 更新人 属性
     */
    private String UpdateMan;

    @JsonIgnore
    private boolean UpdateManDirtyFlag;

    /**
     * 建立时间 属性
     */
    private Timestamp CreateDate;

    @JsonIgnore
    private boolean CreateDateDirtyFlag;

    /**
     * 特约内容 属性
     */
    private String Tynr;

    @JsonIgnore
    private boolean TynrDirtyFlag;

    /**
     * 交强险特别约定标识 属性
     */
    private String JQXTBYDId;

    @JsonIgnore
    private boolean JQXTBYDIdDirtyFlag;

    /**
     * 序号 属性
     */
    private Integer Xh;

    @JsonIgnore
    private boolean XhDirtyFlag;

    /**
     * 更新时间 属性
     */
    private Timestamp UpdateDate;

    @JsonIgnore
    private boolean UpdateDateDirtyFlag;

    /**
     * 特别约定库名称 属性
     */
    private String TBYDKName;

    @JsonIgnore
    private boolean TBYDKNameDirtyFlag;

    /**
     * 特别约定库标识 属性
     */
    private String TBYDKId;

    @JsonIgnore
    private boolean TBYDKIdDirtyFlag;

    /**
     * 车险单标识 属性
     */
    private String CIDId;

    @JsonIgnore
    private boolean CIDIdDirtyFlag;


    /**
     * 获取 [特约名称]
     */
    public String getTymc(){
        return Tymc ;
    }

    /**
     * 设置 [特约名称]
     */
    public void setTymc(String  tymc){
        this.Tymc = tymc ;
        this.TymcDirtyFlag = true ;
    }

    /**
     * 获取 [特约名称]脏标记
     */
    @JsonIgnore
    public boolean getTymcDirtyFlag(){
        return TymcDirtyFlag ;
    }
    /**
     * 获取 [建立人]
     */
    public String getCreateMan(){
        return CreateMan ;
    }

    /**
     * 设置 [建立人]
     */
    public void setCreateMan(String  createMan){
        this.CreateMan = createMan ;
        this.CreateManDirtyFlag = true ;
    }

    /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return CreateManDirtyFlag ;
    }
    /**
     * 获取 [交强险特别约定名称]
     */
    public String getJQXTBYDName(){
        return JQXTBYDName ;
    }

    /**
     * 设置 [交强险特别约定名称]
     */
    public void setJQXTBYDName(String  jQXTBYDName){
        this.JQXTBYDName = jQXTBYDName ;
        this.JQXTBYDNameDirtyFlag = true ;
    }

    /**
     * 获取 [交强险特别约定名称]脏标记
     */
    @JsonIgnore
    public boolean getJQXTBYDNameDirtyFlag(){
        return JQXTBYDNameDirtyFlag ;
    }
    /**
     * 获取 [更新人]
     */
    public String getUpdateMan(){
        return UpdateMan ;
    }

    /**
     * 设置 [更新人]
     */
    public void setUpdateMan(String  updateMan){
        this.UpdateMan = updateMan ;
        this.UpdateManDirtyFlag = true ;
    }

    /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return UpdateManDirtyFlag ;
    }
    /**
     * 获取 [建立时间]
     */
    public Timestamp getCreateDate(){
        return CreateDate ;
    }

    /**
     * 设置 [建立时间]
     */
    public void setCreateDate(Timestamp  createDate){
        this.CreateDate = createDate ;
        this.CreateDateDirtyFlag = true ;
    }

    /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return CreateDateDirtyFlag ;
    }
    /**
     * 获取 [特约内容]
     */
    public String getTynr(){
        return Tynr ;
    }

    /**
     * 设置 [特约内容]
     */
    public void setTynr(String  tynr){
        this.Tynr = tynr ;
        this.TynrDirtyFlag = true ;
    }

    /**
     * 获取 [特约内容]脏标记
     */
    @JsonIgnore
    public boolean getTynrDirtyFlag(){
        return TynrDirtyFlag ;
    }
    /**
     * 获取 [交强险特别约定标识]
     */
    public String getJQXTBYDId(){
        return JQXTBYDId ;
    }

    /**
     * 设置 [交强险特别约定标识]
     */
    public void setJQXTBYDId(String  jQXTBYDId){
        this.JQXTBYDId = jQXTBYDId ;
        this.JQXTBYDIdDirtyFlag = true ;
    }

    /**
     * 获取 [交强险特别约定标识]脏标记
     */
    @JsonIgnore
    public boolean getJQXTBYDIdDirtyFlag(){
        return JQXTBYDIdDirtyFlag ;
    }
    /**
     * 获取 [序号]
     */
    public Integer getXh(){
        return Xh ;
    }

    /**
     * 设置 [序号]
     */
    public void setXh(Integer  xh){
        this.Xh = xh ;
        this.XhDirtyFlag = true ;
    }

    /**
     * 获取 [序号]脏标记
     */
    @JsonIgnore
    public boolean getXhDirtyFlag(){
        return XhDirtyFlag ;
    }
    /**
     * 获取 [更新时间]
     */
    public Timestamp getUpdateDate(){
        return UpdateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    public void setUpdateDate(Timestamp  updateDate){
        this.UpdateDate = updateDate ;
        this.UpdateDateDirtyFlag = true ;
    }

    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return UpdateDateDirtyFlag ;
    }
    /**
     * 获取 [特别约定库名称]
     */
    public String getTBYDKName(){
        return TBYDKName ;
    }

    /**
     * 设置 [特别约定库名称]
     */
    public void setTBYDKName(String  tBYDKName){
        this.TBYDKName = tBYDKName ;
        this.TBYDKNameDirtyFlag = true ;
    }

    /**
     * 获取 [特别约定库名称]脏标记
     */
    @JsonIgnore
    public boolean getTBYDKNameDirtyFlag(){
        return TBYDKNameDirtyFlag ;
    }
    /**
     * 获取 [特别约定库标识]
     */
    public String getTBYDKId(){
        return TBYDKId ;
    }

    /**
     * 设置 [特别约定库标识]
     */
    public void setTBYDKId(String  tBYDKId){
        this.TBYDKId = tBYDKId ;
        this.TBYDKIdDirtyFlag = true ;
    }

    /**
     * 获取 [特别约定库标识]脏标记
     */
    @JsonIgnore
    public boolean getTBYDKIdDirtyFlag(){
        return TBYDKIdDirtyFlag ;
    }
    /**
     * 获取 [车险单标识]
     */
    public String getCIDId(){
        return CIDId ;
    }

    /**
     * 设置 [车险单标识]
     */
    public void setCIDId(String  cIDId){
        this.CIDId = cIDId ;
        this.CIDIdDirtyFlag = true ;
    }

    /**
     * 获取 [车险单标识]脏标记
     */
    @JsonIgnore
    public boolean getCIDIdDirtyFlag(){
        return CIDIdDirtyFlag ;
    }
}

