package com.sinosig.core.repository ;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.sinosig.core.repository.po.JQXXX;
import com.sinosig.core.module.filter.JQXXXSearchContext;

/**
 * 实体 [交强险信息] 存储对象
 */
public interface JQXXXRepository extends Repository<JQXXX> {
    
    /**
	 * 查询集合 [DEFAULT]
	 * @param context
	 * @return
	 */
    Page<JQXXX> searchDefault(JQXXXSearchContext context);


    JQXXX convert2PO(com.sinosig.core.module.domain.JQXXX domain , JQXXX po) ;
	
    com.sinosig.core.module.domain.JQXXX convert2Domain( JQXXX po ,com.sinosig.core.module.domain.JQXXX domain) ;

}
