package com.sinosig.core.repository ;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.sinosig.core.repository.po.CIDData;
import com.sinosig.core.module.filter.CIDDataSearchContext;

/**
 * 实体 [CIDData] 存储对象
 */
public interface CIDDataRepository extends Repository<CIDData> {
    
    /**
	 * 查询集合 [DEFAULT]
	 * @param context
	 * @return
	 */
    Page<CIDData> searchDefault(CIDDataSearchContext context);


    CIDData convert2PO(com.sinosig.core.module.domain.CIDData domain , CIDData po) ;
	
    com.sinosig.core.module.domain.CIDData convert2Domain( CIDData po ,com.sinosig.core.module.domain.CIDData domain) ;

}
