package com.sinosig.core.repository ;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.sinosig.core.repository.po.CPXH;
import com.sinosig.core.external.filter.CPXHSearchContext;

/**
 * 实体 [厂牌型号] 存储对象
 */
public interface CPXHRepository extends Repository<CPXH> {
    
    /**
	 * 查询集合 [DEFAULT]
	 * @param context
	 * @return
	 */
    Page<CPXH> searchDefault(CPXHSearchContext context);


    CPXH convert2PO(com.sinosig.core.external.domain.CPXH domain , CPXH po) ;
	
    com.sinosig.core.external.domain.CPXH convert2Domain( CPXH po ,com.sinosig.core.external.domain.CPXH domain) ;

}
