package com.sinosig.core.repository ;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.sinosig.core.repository.po.SYXTBYD;
import com.sinosig.core.module.filter.SYXTBYDSearchContext;

/**
 * 实体 [商业险特别约定] 存储对象
 */
public interface SYXTBYDRepository extends Repository<SYXTBYD> {
    
    /**
	 * 查询集合 [DEFAULT]
	 * @param context
	 * @return
	 */
    Page<SYXTBYD> searchDefault(SYXTBYDSearchContext context);


    SYXTBYD convert2PO(com.sinosig.core.module.domain.SYXTBYD domain , SYXTBYD po) ;
	
    com.sinosig.core.module.domain.SYXTBYD convert2Domain( SYXTBYD po ,com.sinosig.core.module.domain.SYXTBYD domain) ;

}
