package com.sinosig.core.repository ;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.sinosig.core.repository.po.YDJJDC;
import com.sinosig.core.module2.filter.YDJJDCSearchContext;

/**
 * 实体 [已登记机动车] 存储对象
 */
public interface YDJJDCRepository extends Repository<YDJJDC> {
    
    /**
	 * 查询集合 [DEFAULT]
	 * @param context
	 * @return
	 */
    Page<YDJJDC> searchDefault(YDJJDCSearchContext context);


    YDJJDC convert2PO(com.sinosig.core.module2.domain.YDJJDC domain , YDJJDC po) ;
	
    com.sinosig.core.module2.domain.YDJJDC convert2Domain( YDJJDC po ,com.sinosig.core.module2.domain.YDJJDC domain) ;

}
